html, body {background-color:#111827;}
  img:hover {-webkit-transition: all .5s ease-in-out; -webkit-transform: rotate(-360deg);}

  .accordion {
    perspective: 1000px;
    max-width: 100%;
    margin: 0 auto;
  }

  .accordion-item {
    position: relative;
    width: 100%;
    border-bottom: 1px solid #ddd;
  }

  .accordion-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem;
    cursor: pointer;
    background-color: #222;
    color: #fff;
  }

  .accordion-header:hover {
    background-color: #333;
  }

  .accordion-header::after {
    content: '▼';
    font-size: 1rem;
    transform: rotateX(0deg);
    transition: transform 0.3s ease-in-out;
  }

  .accordion-item.active .accordion-header::after {
    transform: rotateX(180deg);
  }

  .accordion-content {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease-in-out;
  }

  .accordion-item.active .accordion-content {
    max-height: 500px; 
    padding: 1rem;
    background-color: #111827;
  }

  .iframe-wrapper {
    position: relative;
    width: 100%;
    padding-bottom: 56.25%; 
  }

  .iframe-wrapper iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
  }

  .post-button {
    position: absolute;
    top: 50%;
    right: 1rem;
    transform: translateY(-50%);
    padding: 0.5rem 1rem;
    background-color: orange;
    color: #fff;
    font-weight: bold;
    text-decoration: none;
    cursor: pointer;
  }

  .modal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 9999;
    justify-content: center;
    align-items: center;
  }

  .modal-iframe {
    position: relative;
    width: 80%;
    height: 80%;
    max-height: 90vh;
    background-color: #111827;
  }

  .modal-close {
    position: absolute;
    top: 0.5rem;
    right: 0.5rem;
    padding: 0.5rem;
    background-color: orange;
    color: #fff;
    font-weight: bold;
    text-decoration: none;
    cursor: pointer;
  }

  .sticky-footer {
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    background-color: #353539;
    border-top: orange solid 2px;
    color: #fff;
    text-align: center;
    padding: 10px;
    z-index:9999;
  }

  .sticky-footer button {
    background-color: transparent;
    border: none;
    color: #fff;
    margin: 0 10px;
    cursor: pointer;
  }

  .modal-dialog {
    max-width: 80%;
  }

  .modal-content {
    border-radius: 0;
  }

  .modal-header, .modal-footer {
    border: none;
  }

  .modal-fullscreen {
    font-size: 14px;
    color: #343a40;
    background-color: transparent;
    border: none;
    position: absolute;
    top: 10px;
    left: 10px;
    cursor: pointer;
  }

  a {
    cursor: url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='40' height='48' viewport='0 0 100 100' style='fill:black;font-size:24px;'><text y='50%'>🤙</text></svg>"), auto;
  }

  ul#buttonList {
    margin:0;
    padding:0;
    display:flex;
    position: absolute;
    top: 50%;
    left:50%;
    transform: translate(-50%, -50%);
  }

  ul#buttonList li {
    list-style:none;
    margin: 0 15px;
  }

  ul#buttonList li a {
    position: relative;
    display: block;
    width: 30px;
    height: 30px;
    text-align: center;
    line-height: 30px;
    background: #171515;
    border-radius: 50%;
    font-size: 20px;
    color: #fff;
    transition: .5s;
  }

  ul#buttonList li a:before {
    content: '';
    position: absolute;
    top:10;
    right:10px;
    width:100%;
    height:100%;
    border-radius:50%;
    background: #d35400;
    transition: .5s;
    transform: scale(.9);
    z-index: -1;
  }

  ul#buttonList li a:hover:before {
    transform: scale(1.2);
    box-shadow: 0 0 15px #d35400;
    filter: blur(3px);
  }

  ul#buttonList li a:hover {
    color: #ffa502;
    box-shadow: 0 0 15px #d35400;
    text-shadow: 0 0 15px #d35400;
  }

  .modal {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.9);
  }

  .modal iframe {
    width: 100%;
    height: 100%;
  }

  .close {
    position: absolute;
    top: 20px;
    right: 35px;
    color: #fff;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
  }

  a.activityDropdownLink {font-size:0.9em!important;}

  .zcontainer ul {
    position: fixed;
    top: 20px!important;
    z-index: 1001;
    transition: top 0.5s ease;
  }

  ul#rssf {
    list-style-type: none;
    padding: 0;
    text-align: center;
  }

  li {
    margin-bottom: 10px;
  }

  button.rss {
    background-color: #333;
    color: #eee;
    padding: 10px 20px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
  }

  button.rss:hover {
    background-color: #ff3300;
    color:#FFF;
  }

  #rssFeed {
    padding: 20px;
    background-color: #333;
    border: 1px solid #555;
    border-radius: 5px;
    display: none;
  }

  .article {
    margin-bottom: 20px;
    padding: 10px;
    background-color: #444;
    border-radius: 5px;
  }

  .article img {
    max-width: 100%;
    border-radius: 5px;
  }

  a {
    color: #ff6600;
    text-decoration: none;
  }

  a:hover {
    text-decoration: underline;
  }

  .bookshelf {
    display: flex;
    overflow-x: auto;
    gap: 10px;
    padding: 10px;
    background-color: #111827;
  }

  .bookshelf a {
    flex: 0 0 250px;
    height: 300px;
    position: relative;
    background-color: #111827;
    border-radius: 5px;
    color: orange;
    text-decoration: none;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  .bookshelf img {
    width: 100%;
    height: auto;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
  }

  .bookshelf a span {
    padding: 10px;
  }

  .sidebar-icon {
    width: 85px;
    transition: width 0.3s ease-in-out;
  }

  .sidebar-icon:hover,
  .active-icon {
    width: 105px;
  }

  .sidebar-link {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-decoration: none;
  }

  .hidden-icons {
    display: none;
    flex-direction: column;
    align-items: center;
    overflow: hidden;
    transition: height 0.3s ease-in-out;
  }

  .text-custom {
    color: #ff9900;
    text-align: center;
    margin-top: 8px;
    transition: color 0.3s ease-in-out;
  }

  .text-custom:hover {
    color: white;
  }